%define name    libmatroska
%define version 1.3.0
%define ebmlver 1.2.1
%define major 5
%define libname %mklibname matroska %major
%define develname %mklibname -d matroska

Summary:        Matroska Audio/Video file format library
Name:           %name
Version:        %version
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
URL:            http://www.matroska.org/
Source0:        http://dl.matroska.org/downloads/libmatroska/%name-%version.tar.bz2
BuildRequires:  libebml-devel >= %ebmlver

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n %libname
Summary:        Matroska Audio/Video file format shared library
Group: System/Libraries

%description -n %libname
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n %develname
Group: Development/C++
Summary: Matroska Audio/Video file format headers and static library
Requires: %libname = %version
Provides: libmatroska-devel = %version-%release
Obsoletes: %mklibname -d matroska 0

%description -n %develname
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q
chmod 644 LICENSE*

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

%build
CXXFLAGS="%{optflags}" %make -C make/linux

%install
rm -rf %buildroot
%makeinstall_std -C make/linux prefix=%buildroot/%_prefix libdir=%buildroot/%_libdir

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a
find %{buildroot} -name *.a | xargs rm -f

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 fwang <fwang> 1.3.0-1.mga2
+ Revision: 148445
- fix lib major
- new version 1.3.0

* Fri Jul 01 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117054
- Update to 1.2.0
- Correct the License tag
- Bump BR libebml-devel version
- %%doc one more file and fix end of line encoding
- Build with our default compile flags
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-2.mga1
+ Revision: 46458
- bump libebml BR to 1.2.0

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 46445
- fix major

  + dmorgan <dmorgan>
    - New version

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39559
- don't ship .a
- drop old/unneeded scriptlets
- imported package libmatroska

